unit cpl_csv;
{$I gdal.inc}
interface
uses gdal, ogrcore;

type
  TCSVCompareCriteria = (CC_ExcatString, CC_ApproxString, CC_Integer);
{$IFDEF DYNAMIC_GDAL}
var
  CSVFileName: function (pszBaseName: PChar): PChar; cdecl;
  CSVDetectSeperator: function (pszLine: PChar): Char; cdecl;
  CSVReadParseLine: function ( var fp: file): PPChar; cdecl;
  CSVReadParseLine2: function ( var fp: FILE; chDelimiter: Char ): PPChar; cdecl;
  CSVScanLines: function ( var Fp: FILE; iKetField: integer; pszValue: PChar; eCriteria: TCSVCompareCriteria): PPChar; cdecl;
  CSVScanFile: function ( pszFileName: PChar; iKeyField: Integer; pszValue: PChar;
                              eCriteria: TCSVCompareCriteria ): PPChar; cdecl;

  CSVScanFileByName: function ( pszFileName: PChar; pszKeyFieldName: PChar; pszValue: PChar;
                                    eCriteria: TCSVCompareCriteria ): PPChar; cdecl;
  CSVGetNextLine: function ( pszFileName: PChar ): PPChar; cdecl;
  CSVGetFieldId: function ( var fp: FILE; pszFieldName: PChar ): Integer; cdecl;
  CSVGetFileFieldId: function ( pszFileName: PChar; pszFieldName: PChar ): Integer; cdecl;
  CSVDeaccess: procedure ( pszFileName: PChar); cdecl;
  CSVGetField: function ( pszFileName: PChar; pszKeyFieldName: PChar; pszKeyFieldValue: PChar;
                                   eCriteria: TCSVCompareCriteria; pszTargetField: PChar ): PChar; cdecl;

{$ELSE}
function CSVFileName(pszBaseName: PChar): PChar; cdecl; external external_lib name 'CSVFilename';
function CSVDetectSeperator(pszLine: PChar): Char; cdecl; external external_lib name 'CSVDetectSeperator';
function CSVReadParseLine( var fp: file): PPChar; cdecl; external external_lib name 'CSVReadParseLine';
function CSVReadParseLine2( var fp: FILE; chDelimiter: Char ): PPChar; cdecl; external external_lib name 'CSVReadParseLine2';
function CSVScanLines( var Fp: FILE; iKetField: integer; pszValue: PChar; eCriteria: TCSVCompareCriteria): PPChar; cdecl; external external_lib name 'CSVScanLines';
function CSVScanFile( pszFileName: PChar; iKeyField: Integer; pszValue: PChar;
                            eCriteria: TCSVCompareCriteria ): PPChar; cdecl; external external_lib name 'CSVScanFile';

function CSVScanFileByName( pszFileName: PChar; pszKeyFieldName: PChar; pszValue: PChar;
                                  eCriteria: TCSVCompareCriteria ): PPChar; cdecl; external external_lib name 'CSVScanFileByName';
function CSVGetNextLine( pszFileName: PChar ): PPChar; cdecl; external external_lib name 'CSVGetNextLine';
function CSVGetFieldId( var fp: FILE; pszFieldName: PChar ): Integer; cdecl; external external_lib name 'CSVGetFieldId';
function CSVGetFileFieldId( pszFileName: PChar; pszFieldName: PChar ): Integer; cdecl; external external_lib name 'CSVGetFileFieldId';
procedure CSVDeaccess( pszFileName: PChar); cdecl; external external_lib name 'CSVDeaccess';
function CSVGetField( pszFileName: PChar; pszKeyFieldName: PChar; pszKeyFieldValue: PChar;
                                 eCriteria: TCSVCompareCriteria; pszTargetField: PChar ): PChar; cdecl; external external_lib name 'CSVGetField';
{$ENDIF}
implementation

end.
