{'*****************************************************************************
' Build 0135
'
' Project:  GDAL Lazarus Bindings
' Purpose:  Lazarus GDALDriverManager Shadow Class.
' Author:   Frank Warmerdam, warmerdam@pobox.com
' Lazarus Wrapper : Prajuab Riabroy
'*****************************************************************************
' Copyright (c) 2005, Frank Warmerdam <warmerdam@pobox.com>
'
' Permission is hereby granted, free of charge, to any person obtaining a
' copy of this software and associated documentation files (the "Software"),
' to deal in the Software without restriction, including without limitation
' the rights to use, copy, modify, merge, publish, distribute, sublicense,
' and/or sell copies of the Software, and to permit persons to whom the
' Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included
' in all copies or substantial portions of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
' OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
' FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
' LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
' FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
' DEALINGS IN THE SOFTWARE.
'*****************************************************************************
}

unit gdaldrivermanager;

{$IFDEF FPC}
{$mode objfpc}{$H+}
{$ENDIF}

interface

uses
  Classes, SysUtils, gdal, gdalcore;

type
   TGDALDriverManager = class(TGDALMajorObject)
   private
     FObj : TGDALDriverH;
   public
     function  GetDriverCount : longint;
     function  GetDriver(iDriver : longint) : TGDALDriverH;
     function  GetDriverByName(const pszName : PCHAR) : TGDALDriverH;
     function  RegisterDriver(hDriver : TGDALDriverH) : longint;
     procedure DeregisterDriver(hDriver : TGDALDriverH);
   end;

implementation

function TGDALDriverManager.GetDriverCount : longint;
begin
  result := GDALCore.GDALGetDriverCount;
end;

function TGDALDriverManager.GetDriver(iDriver : longint) : TGDALDriverH;
begin
  result := GDALCore.GDALGetDriver(iDriver);
end;

function  TGDALDriverManager.GetDriverByName(const pszName : PCHAR) : TGDALDriverH;
begin
  result := GDALCore.GDALGetDriverByName(pszName);
end;

function  TGDALDriverManager.RegisterDriver(hDriver : TGDALDriverH) : longint;
begin
  result := GDALCore.GDALRegisterDriver(hDriver);
end;

procedure TGDALDriverManager.DeregisterDriver(hDriver : TGDALDriverH);
begin
  GDALCore.GDALDeregisterDriver(hDriver);
end;

end.

